Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeelementnodetype Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeelementnodetype (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getNodeType()" method for an Element Node returns the constant value 1.

Retrieve the root node and invoke the "getNodeType()" method. The method should return 1.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-111237558

Definition at line 43 of file nodeelementnodetype.java.

## Constructor & Destructor Documentation

nodeelementnodetype::nodeelementnodetype | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 45 of file nodeelementnodetype.java.
    00046  {
    00047       super(factory);
    00048
    00049    }

## Member Function Documentation

String nodeelementnodetype::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 61 of file nodeelementnodetype.java.
    00061                                 {
    00062       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeelementnodetype";
    00063    }

void nodeelementnodetype::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 64 of file nodeelementnodetype.java. References DOMTestCase::doMain().
    00064                                           {
    00065         DOMTestCase.doMain(nodeelementnodetype.class,args);
    00066    }

void nodeelementnodetype::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 51 of file nodeelementnodetype.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00051                                                     {
    00052       Document doc;
    00053       Element rootNode;
    00054       int nodeType;
    00055       doc = load("staff");
    00056       rootNode = doc.getDocumentElement();
    00057       nodeType = (int)rootNode.getNodeType();
    00058       assertEquals("nodeElementNodeTypeAssert1",1,nodeType);
    00059
    00060    }

The documentation for this class was generated from the following file:

- nodeelementnodetype.java